# Get Endpoint - GetJobMasks

Returns list of all ELO masks.

# HTTP Request

One of the following requests should be made:

GET /odata/syncjobsmasks
GET /odata/syncjobsmasks/$count

The endpoint supports the following OData query parameters: $select, $expand

# Query parameters

Name Description
repository optional. Destination repository key.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 If the load of masks was successful. array MaskEntity
400 Request contains invalid data.
500 When an server error occurs during the load of masks.

# Example

# Request

The following is an example of how to call the endpoint:

GET /odata/syncjobsmasks?repository=repo1

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
  "@odata.context": "https://elosyncurl/odata/$metadata#SyncJobsMasks",
    "value": [
        {
            "maskId":1,
            "name":"E-Mail",
            "eloMaskId":"2",
            "type":"DocMask",
            "syncJobId":2
        },
        {
            "maskId":2,
            "name":"Workspace",
            "eloMaskId":"31",
            "type":"FolderMask",
            "syncJobId":2
        },
        ...
    ],
    "@odata.nextLink": "Link for the next 100 items"
}
Last updated: February 14, 2025 at 8:26 AM